> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1voiceagents events



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/agents/{call}/events
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/agents/{call}/events:
    get:
      tags:
        - Calls
      operationId: calls.callEventsIndex
      parameters:
        - name: call
          in: path
          required: true
          description: The call ID
          schema:
            type: string
            format: uuid
        - name: campaign_id
          in: query
          schema:
            type: string
        - name: agent_id
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          events:
                            type: string
                          chat:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - agent
                                    - user
                                text:
                                  type: string
                              required:
                                - type
                                - text
                        required:
                          - events
                          - chat
                    required:
                      - data
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          events:
                            type: array
                            items:
                              type: string
                            minItems: 0
                            maxItems: 0
                            additionalItems: false
                          chat:
                            type: 'null'
                            description: todo?
                        required:
                          - events
                          - chat
                    required:
                      - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````